#include<iostream>
#include<cmath>
#define endl '\n';
using namespace std;
string Replace(string a, int num)
{
    int d1 = a.size();

    if(num < 0 && a[0] == '?'){a = '-' + a;a[1] = char(abs(num) + '0');}
    else if(num >= 0)
    {
        for (int i = 0; i < d1; i++)
        {
            if (a[i] == '?'){a[i] = char(num+'0');}
        }
    }


    return a;
}

long long StringToInt(string a)
{
    long long d1 = a.size(), n = 0;

    if (a[0] == '-')
    {
        for (int i = 1; i < d1; i++)
        {
            int k = a[i] - '0';
            n = n*10 - k;
        }
    }

    else
    {
        for (int i = 0; i < d1; i++)
        {
            int k = a[i] - '0';
            n = n*10 + k;
        }
    }

    return n;
}

bool IsPartOfNumber(char z)
{
    if (z >= '0' && z <= '9' || z == '?')return 1;
    return 0;
}

bool StartWithZero(string a)
{
    if ((a[0] == '0' && a.size() != 1) || (a[0] == '-' && a[1] == '0'))return 1;
    return 0;
}


int main()
{
    ios::sync_with_stdio(0);
    cin.tie(NULL);

    char z, aritZ;
    long long t = 1, d = 0, n1, n2, n3, x;
    string num1, num2, res, a, b, c;

    while (cin >> z)
    {
        d++;
        if (t == 1)
        {
            if (IsPartOfNumber(z) || (z == '-' && d == 1))num1 = num1 + z;
            else
            {
                aritZ = z;
                t = 2;
            }
        }
        else if (t == 2)
        {
            if(IsPartOfNumber(z) || z == '-')num2 = num2 + z;
            else if(z == '=')
            {
                t = 3;
            }
        }
        else if (t == 3)
        {
            if(IsPartOfNumber(z) || z == '-')res = res + z;
        }
    }
    t = 0;

    for (int i = -9; i <= 9; i++)
    {
        a = Replace(num1, i);
        b = Replace(num2, i);
        c = Replace(res , i);

        if (StartWithZero(a) == 1)continue;
        if (StartWithZero(b) == 1)continue;
        if (StartWithZero(c) == 1)continue;

        n1 = StringToInt(a);
        n2 = StringToInt(b);
        n3 = StringToInt(c);


        if (aritZ == '+')
        {
            if (n1 + n2 == n3)
            {
                x = i;
                t = 1;
                break;
            }
        }
        if (aritZ == '-')
        {
            if (n1 - n2 == n3)
            {
                x = i;
                t = 1;
                break;
            }
        }

        if (aritZ == '*')
        {
            if (n1 * n2 == n3)
            {
                x = i;
                t = 1;
                break;
            }
        }
    }



    if (t == 0){cout << "mistake" << endl;}
    else {cout << x << endl;}

    cout << Replace("1?2", -1) << endl;

    return 0;

}
/*
5+?=7
789*?54=51?00?
-8?*-1=8?
51-5?=?
??*??=435?
*/



/*
5+?=7
789*?54=51?00?
-8?*-1=8?
51-5?=?
??*??=435?
*/
