#include<iostream>
#include<algorithm>
using namespace std;
bool subirane(string a,string b, string c){
    string sbor;
    if(b>a) swap(a,b);
    reverse(a.begin(),a.end());
    reverse(b.begin(),b.end());
    long long carry=0;
    for(long long i=0;i<b.size();i++){
        long long sum=a[i]+b[i]+carry-2*'0';
        sbor.push_back(sum%10+'0');
        carry=sum/10;
    }
    for(long long i=b.size();i<a.size();i++){
        long long sum=a[i]+carry-'0';
        sbor.push_back(sum%10+'0');
        carry=sum/10;
    }
    if(carry==1) sbor.push_back(carry);
    reverse(sbor.begin(),sbor.end());
    return c==sbor;
}
bool izvajdane(string a,string b, string c){
    string sbor;
    if(b>a) swap(a,b);
    reverse(a.begin(),a.end());
    reverse(b.begin(),b.end());
    long long carry=0;
    for(long long i=0;i<b.size();i++){
        long long sum=(a[i]>=b[i]+carry ? a[i]-(b[i]+carry) : (a[i]+10)-(b[i]+carry));
        carry=(a[i]>=b[i]+carry ? 0 : 1);
        sbor.push_back(sum+'0');

    }
    for(long long i=b.size();i<a.size();i++){
        long long sum=(a[i]>=carry+'0' ? a[i]-carry-'0' : (a[i]+10)-carry-'0');
        carry=(a[i]>=carry+'0' ? 0 : 1);
        sbor.push_back(sum+'0');
    }
    reverse(sbor.begin(),sbor.end());
    return c==sbor;
}
bool umnojenie(string a,string b, string c){
    reverse(a.begin(),a.end());
    reverse(b.begin(),b.end());
    reverse(c.begin(),c.end());
    long long aa=0,bb=0,cc=0;
    for(long long i=0,st=1;i<a.size();i++,st*=10) aa+=(a[i]-'0')*st;
    for(long long i=0,st=1;i<b.size();i++,st*=10) bb+=(b[i]-'0')*st;
    for(long long i=0,st=1;i<c.size();i++,st*=10) cc+=(c[i]-'0')*st;
    return aa*bb==cc;
}
int main(){
cin.tie(0);
cout.tie(0);
ios_base::sync_with_stdio(false);
string vhod,n1,n2,n3;
long long znak;
long long ch=0;
cin>>vhod;
while(vhod.back()!='='){
    n3.push_back(vhod.back());
    vhod.pop_back();
}
reverse(n3.begin(),n3.end());

vhod.pop_back();
while(vhod.back()!='+' and vhod.back()!='-' and vhod.back()!='*'){
    n2.push_back(vhod.back());
    vhod.pop_back();
}
if(vhod.back()=='+') znak=1;
else if(vhod.back()=='-') znak=2;
else znak=3;
reverse(n2.begin(),n2.end());
vhod.pop_back();
n1=vhod;
if(n1[0]=='?' or n2[0]=='?' or n3[0]=='?') ch=1;
string nn1=n1,nn2=n2,nn3=n3;
for(ch;ch<10;ch++){
    for(long long i=0;i<n1.size();i++) if(n1[i]=='?') nn1[i]=ch+'0';
    for(long long i=0;i<n2.size();i++) if(n2[i]=='?') nn2[i]=ch+'0';
    for(long long i=0;i<n3.size();i++) if(n3[i]=='?') nn3[i]=ch+'0';
//    cout<<znak<<" "<<nn1<<" "<<nn2<<" "<<nn3<<" "<<umnojenie(nn1,nn2,nn3)<<endl;
    if(znak==1 and subirane(nn1,nn2,nn3)) cout<<ch;
    if(znak==2 and izvajdane(nn1,nn2,nn3)) cout<<ch;
    if(znak==3 and umnojenie(nn1,nn2,nn3)) cout<<ch;
}
return 0;
}
